class UserStorage {
  private static instance: UserStorage;
  private constructor() {}
  private user: any = { name: '', id: '' };

  static getInstance() {
    if (!this.instance) {
      this.instance = new UserStorage();
    }
    return this.instance;
  }
  public setUser(user: any) {
    this.user = user;
  }
  public getUser() {
    return this.user;
  }
}
export default UserStorage;
